import java.io.*;
import java.util.*;

public class Spell{
  public static void main (String[] argv)
  throws Exception {
    BufferedReader input = 
      new BufferedReader(new InputStreamReader(System.in));

    Set dictionary = new HashSet();

    int nWords = Integer.parseInt(input.readLine());

    for(int i=0;i<nWords;i++)
      dictionary.add(input.readLine());

    int nEmails = Integer.parseInt(input.readLine());

    for(int email=0;email<nEmails;email++){
      boolean correct = true;
      for(String line = input.readLine();
	  !line.equals("-1");
	  line = input.readLine()){
	if(dictionary.contains(line))
	  continue;

	if(correct){
	  System.out.println("Email "+(email+1)+" is not spelled correctly.");
	  correct = false;
	}

	System.out.println(line);
      }
      if(correct)
	System.out.println("Email "+(email+1)+" is spelled correctly.");
    }
    System.out.println("End of Output");
  }
}

	
